Subject: bug#49985: bash-mesboot0: Inscrutable error in build phase

From: Carl Dong <[email-masked]>
Date: Thu, 12 Aug 2021 13:04:23 -0400

No worries! We’re all learning :-)
I ended up asking my colleague to use:

strace --env=MES_DEBUG=1

We’ll see what happens!

> On Aug 11, 2021, at 8:53 AM, Bengt Richter <[email-masked]> wrote:
> 
> Just this disclaimer:
> I am just a lurker interested in mes, not a mes developer or team member.
> (I am trying to do some minimal stuff too, so I cloned the mes repo and pull once
> in a while to see what's going on :)
> 
> Sorry for any implication that I really know anything about mes ;/
> 
> On +2021-08-11 03:21:18 +0200, Bengt Richter wrote:
>> On +2021-08-11 02:38:54 +0200, Bengt Richter wrote:
>>> On +2021-08-10 15:41:25 -0400, Carl Dong wrote:
>>>> Hi all,
>>>> 
>>>> While setting up Guix for a community member of mine, we encountered this somewhat inscrutable problem (I later learned this is not the first time Guix users have run into this problem!). When building /gnu/store/2nvaxgs0rdxfkrwklh622ggaxg0wap6n-bash-mesboot0-2.05b.drv, we encountered the following build failure: https://paste.sr.ht/~dongcarl/376b19b8349c329ed5329508c7fb43a7c3aec64b#2nvaxgs0rdxfkrwklh622ggaxg0wap6n-bash-mesboot0-2.05b.log-L1299
>>>> 
>>>> The error line is L1299: "make: stat:Makefile: sterror: unknown error”
>>>> --
>>> 
>>> To me, sterror looks like a typo for strerror
>>> so grepping for sterror might find the typo, if that's what it is?
>>> 
>> Looking at ./lib/mes/__mes_debug.c, it looks like you could set/export environment
>> MES_DEBUG=1 and run it again to see the error number ./lib/string/strerror.c
>> (in git repo) doesn't like.
>> 
>> Then run something like my error-printing kludge that will work on your system:
>> 
>> I called it errno-grep
>> --8<---------------cut here---------------start------------->8---
>> #!/usr/bin/bash
>> if [ -z "$1" ];then
>>    echo "Usage: errno-grep [ grep switches for grepping the following files in order ]"
>>    echo "    /usr/include/asm-generic/errno-base.h"
>>    echo "    /usr/include/asm-generic/errno.h"
>>    exit 0
>> fi
>> 
>> if [ "${1:0:1}" == "-" ]; then
>>    exec grep "$@" /usr/include/asm-generic/errno-base.h /usr/include/asm-generic/errno.h
>> else
>>    exec egrep -wh "$@" /usr/include/asm-generic/errno-base.h /usr/include/asm-generic/errno.h
>> fi
>> --8<---------------cut here---------------end--------------->8---
>> 
>> HTH.
>> 
>> 
>> 
> 
> -- 
> Regards,
> Bengt Richter